Unusual warning when ready to install wp

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Unusual warning when ready to install wp

Postby easyg » 06. July 2011 19:28

I cut and pasted what I see across the top of the page when I go to the Wordpress five minute installation page:

Warning: Cannot modify header information - headers already sent by (output started at /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-config.php:1) in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-admin/install.php on line 54

This is what I see in the wp-config.php file at line 54: /**#@-*/

Now everytime I try to install wp I get this same message, but now it's the same message repeated over and over with different line numbers that are in the 700's, and there's not even close to that many numbers in that file. Am I checking in the wrong file?

I thought I did everything right, but somehow, there's something I must alter. Does anyone know what, short of re-doing the entire Xampp install?
easyg
 
Posts: 1
Joined: 06. July 2011 19:08

Re: Unusual warning when ready to install wp

Postby JonB » 10. July 2011 07:31

This is not a problem with XAMPP - its a PHP problem, (it also happens with Perl)

"Warning: Cannot modify header information - headers already sent"
It means you(your PHP script) are trying to send the HTTP headers out of order. Headers must be sent before any other output.

http://wordpress.org/support/topic/warn ... -sent-by-2

I'm going to "guess" that your problem is with wp-config.php

check your Authentication keys, and make sure you don't have any spaces embedded on them. (pure guess)

Another possibility is a problem with the php.ini file. If the error-reporting level or its parameters are set wrong, you can have the case where warnings (like deprecated syntax) are being output before the headers are written.

If neither of the above is the case --

Post/Search on WordPress
http://wordpress.org/support/
They probably have the best documentation ans support forums, period.

I'd do that Google search "Warning: Cannot modify header information - headers already sent"
and see what most closely resembles what you have done/not done on your install.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 2 guests